#ifndef _LI_RENDERER_H
#define _LI_RENDERER_H 1
#include <imgui.h>
#include <string>
namespace Li::Gui {
	class Renderer {
	public:
		virtual void InitImgui() {};
		virtual void ImGuiNewFrame() {};
		virtual void Render() {};
		virtual void Resize(int newWidth, int newHeight) {};
		virtual int WindowWidth() { return 0; };
		virtual int WindowHeight() { return 0; };
		virtual int CompileShader(std::string shaderSrc, std::string entryPoint, std::string shaderModel, void** shaderObjectOut) { return -1; };
	};
}
#endif